<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>PStmtKey (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PStmtKey (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PStmtKey.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/PoolingDriver.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/SQLExceptionList.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/PStmtKey.html" target="_top">Frames</a></li>
<li><a href="PStmtKey.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2</div>
<h2 title="Class PStmtKey" class="title">Class PStmtKey</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.PStmtKey</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html" title="class in org.apache.commons.dbcp2.cpdsadapter">PStmtKeyCPDS</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PStmtKey</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">A key uniquely identifying <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>s.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-"><code>PStmtKey(String, String, String)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-int-int-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-"><code>PStmtKey(String, String, String, int, int)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-"><code>PStmtKey(String, String, String)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        int&nbsp;autoGeneratedKeys)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-"><code>PStmtKey(String, String, String, int)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int:A-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        int[]&nbsp;columnIndexes)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int:A-"><code>PStmtKey(String, String, String, int[])</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use @link <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-"><code>PStmtKey(String, String, String, int, int)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-int-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        int&nbsp;resultSetHoldability)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-"><code>PStmtKey(String, String, String, int, int, int)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        int&nbsp;resultSetHoldability,
        <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey(String, String, String, int, int, int, PoolingConnection.StatementType)</code></a></span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey(String, String, String, int, int, PoolingConnection.StatementType)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey(String, String, String, PoolingConnection.StatementType)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;autoGeneratedKeys)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-"><code>PStmtKey(String, String, String, PoolingConnection.StatementType, Integer)</code></a></span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String:A-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;columnNames)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-java.lang.String:A-"><code>PStmtKey(String, String, String, String[])</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        int&nbsp;autoGeneratedKeys)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int:A-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        int[]&nbsp;columnIndexes)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        int&nbsp;resultSetHoldability)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        int&nbsp;resultSetHoldability,
        <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;autoGeneratedKeys)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-java.lang.String:A-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;columnNames)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#createStatement-java.sql.Connection-">createStatement</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)</code>
<div class="block">Creates a new Statement from the given Connection.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getAutoGeneratedKeys--">getAutoGeneratedKeys</a></span>()</code>
<div class="block">Gets a flag indicating whether auto-generated keys should be returned; one of
 <code>Statement.RETURN_GENERATED_KEYS</code> or <code>Statement.NO_GENERATED_KEYS</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getCatalog--">getCatalog</a></span>()</code>
<div class="block">The catalog.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getColumnIndexes--">getColumnIndexes</a></span>()</code>
<div class="block">Gets an array of column indexes indicating the columns that should be returned from the inserted row or rows.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getColumnNames--">getColumnNames</a></span>()</code>
<div class="block">Gets an array of column names indicating the columns that should be returned from the inserted row or rows.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getResultSetConcurrency--">getResultSetConcurrency</a></span>()</code>
<div class="block">Gets the result set concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
 <code>ResultSet.CONCUR_UPDATABLE</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getResultSetHoldability--">getResultSetHoldability</a></span>()</code>
<div class="block">Gets the result set holdability, one of the following <code>ResultSet</code> constants:
 <code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code> or <code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getResultSetType--">getResultSetType</a></span>()</code>
<div class="block">Gets the result set type, one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
 <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getSchema--">getSchema</a></span>()</code>
<div class="block">The schema.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getSql--">getSql</a></span>()</code>
<div class="block">Gets the SQL statement.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#getStmtType--">getStmtType</a></span>()</code>
<div class="block">The SQL statement type.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PStmtKey-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-"><code>PStmtKey(String, String, String)</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             int&nbsp;resultSetType,
                             int&nbsp;resultSetConcurrency)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-"><code>PStmtKey(String, String, String, int, int)</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>resultSetType</code> - A result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-"><code>PStmtKey(String, String, String)</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             int&nbsp;autoGeneratedKeys)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-"><code>PStmtKey(String, String, String, int)</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>autoGeneratedKeys</code> - A flag indicating whether auto-generated keys should be returned; one of
            <code>Statement.RETURN_GENERATED_KEYS</code> or <code>Statement.NO_GENERATED_KEYS</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             int&nbsp;resultSetType,
                             int&nbsp;resultSetConcurrency)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use @link <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-"><code>PStmtKey(String, String, String, int, int)</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>resultSetType</code> - A result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             int&nbsp;resultSetType,
                             int&nbsp;resultSetConcurrency,
                             int&nbsp;resultSetHoldability)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-"><code>PStmtKey(String, String, String, int, int, int)</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>resultSetType</code> - a result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code></dd>
<dd><code>resultSetHoldability</code> - One of the following <code>ResultSet</code> constants: <code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code>
            or <code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             int&nbsp;resultSetType,
                             int&nbsp;resultSetConcurrency,
                             int&nbsp;resultSetHoldability,
                             <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey(String, String, String, int, int, int, PoolingConnection.StatementType)</code></a></span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>resultSetType</code> - a result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code></dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code>.</dd>
<dd><code>resultSetHoldability</code> - One of the following <code>ResultSet</code> constants: <code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code>
            or <code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code>.</dd>
<dd><code>statementType</code> - The SQL statement type, prepared or callable.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             int&nbsp;resultSetType,
                             int&nbsp;resultSetConcurrency,
                             <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey(String, String, String, int, int, PoolingConnection.StatementType)</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>resultSetType</code> - A result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code>.</dd>
<dd><code>statementType</code> - The SQL statement type, prepared or callable.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             int[]&nbsp;columnIndexes)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int:A-"><code>PStmtKey(String, String, String, int[])</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>columnIndexes</code> - An array of column indexes indicating the columns that should be returned from the inserted row or
            rows.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey(String, String, String, PoolingConnection.StatementType)</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>statementType</code> - The SQL statement type, prepared or callable.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;autoGeneratedKeys)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-"><code>PStmtKey(String, String, String, PoolingConnection.StatementType, Integer)</code></a></span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>statementType</code> - The SQL statement type, prepared or callable.</dd>
<dd><code>autoGeneratedKeys</code> - A flag indicating whether auto-generated keys should be returned; one of
            <code>Statement.RETURN_GENERATED_KEYS</code> or <code>Statement.NO_GENERATED_KEYS</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                int&nbsp;autoGeneratedKeys)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema</dd>
<dd><code>autoGeneratedKeys</code> - A flag indicating whether auto-generated keys should be returned; one of
            <code>Statement.RETURN_GENERATED_KEYS</code> or <code>Statement.NO_GENERATED_KEYS</code>.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                int&nbsp;resultSetType,
                int&nbsp;resultSetConcurrency)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema</dd>
<dd><code>resultSetType</code> - A result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                int&nbsp;resultSetType,
                int&nbsp;resultSetConcurrency,
                int&nbsp;resultSetHoldability)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema</dd>
<dd><code>resultSetType</code> - a result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code></dd>
<dd><code>resultSetHoldability</code> - One of the following <code>ResultSet</code> constants: <code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code>
            or <code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code>.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                int&nbsp;resultSetType,
                int&nbsp;resultSetConcurrency,
                int&nbsp;resultSetHoldability,
                <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema.</dd>
<dd><code>resultSetType</code> - a result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code></dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code>.</dd>
<dd><code>resultSetHoldability</code> - One of the following <code>ResultSet</code> constants: <code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code>
            or <code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code>.</dd>
<dd><code>statementType</code> - The SQL statement type, prepared or callable.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                int&nbsp;resultSetType,
                int&nbsp;resultSetConcurrency,
                <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema.</dd>
<dd><code>resultSetType</code> - A result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code>.</dd>
<dd><code>statementType</code> - The SQL statement type, prepared or callable.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                int[]&nbsp;columnIndexes)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema.</dd>
<dd><code>columnIndexes</code> - An array of column indexes indicating the columns that should be returned from the inserted row or
            rows.</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema.</dd>
<dd><code>statementType</code> - The SQL statement type, prepared or callable.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;autoGeneratedKeys)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema.</dd>
<dd><code>statementType</code> - The SQL statement type, prepared or callable.</dd>
<dd><code>autoGeneratedKeys</code> - A flag indicating whether auto-generated keys should be returned; one of
            <code>Statement.RETURN_GENERATED_KEYS</code> or <code>Statement.NO_GENERATED_KEYS</code>.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKey</h4>
<pre>public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;columnNames)</pre>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>schema</code> - The schema.</dd>
<dd><code>columnNames</code> - An array of column names indicating the columns that should be returned from the inserted row or rows.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="PStmtKey-java.lang.String-java.lang.String-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PStmtKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;PStmtKey(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;columnNames)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-java.lang.String:A-"><code>PStmtKey(String, String, String, String[])</code></a>.</span></div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>catalog</code> - The catalog.</dd>
<dd><code>columnNames</code> - An array of column names indicating the columns that should be returned from the inserted row or rows.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createStatement-java.sql.Connection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStatement</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;createStatement(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates a new Statement from the given Connection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - The Connection to use to create the statement.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The statement.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - Thrown when there is a problem creating the statement.</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="getAutoGeneratedKeys--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAutoGeneratedKeys</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;getAutoGeneratedKeys()</pre>
<div class="block">Gets a flag indicating whether auto-generated keys should be returned; one of
 <code>Statement.RETURN_GENERATED_KEYS</code> or <code>Statement.NO_GENERATED_KEYS</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag indicating whether auto-generated keys should be returned.</dd>
</dl>
</li>
</ul>
<a name="getCatalog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCatalog</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCatalog()</pre>
<div class="block">The catalog.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The catalog.</dd>
</dl>
</li>
</ul>
<a name="getColumnIndexes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumnIndexes</h4>
<pre>public&nbsp;int[]&nbsp;getColumnIndexes()</pre>
<div class="block">Gets an array of column indexes indicating the columns that should be returned from the inserted row or rows.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An array of column indexes.</dd>
</dl>
</li>
</ul>
<a name="getColumnNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumnNames</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getColumnNames()</pre>
<div class="block">Gets an array of column names indicating the columns that should be returned from the inserted row or rows.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An array of column names.</dd>
</dl>
</li>
</ul>
<a name="getResultSetConcurrency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResultSetConcurrency</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;getResultSetConcurrency()</pre>
<div class="block">Gets the result set concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
 <code>ResultSet.CONCUR_UPDATABLE</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The result set concurrency type.</dd>
</dl>
</li>
</ul>
<a name="getResultSetHoldability--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResultSetHoldability</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;getResultSetHoldability()</pre>
<div class="block">Gets the result set holdability, one of the following <code>ResultSet</code> constants:
 <code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code> or <code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The result set holdability.</dd>
</dl>
</li>
</ul>
<a name="getResultSetType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResultSetType</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;getResultSetType()</pre>
<div class="block">Gets the result set type, one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
 <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result set type.</dd>
</dl>
</li>
</ul>
<a name="getSchema--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSchema</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSchema()</pre>
<div class="block">The schema.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The catalog.</dd>
</dl>
</li>
</ul>
<a name="getSql--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSql</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSql()</pre>
<div class="block">Gets the SQL statement.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the SQL statement.</dd>
</dl>
</li>
</ul>
<a name="getStmtType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStmtType</h4>
<pre>public&nbsp;<a href="../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;getStmtType()</pre>
<div class="block">The SQL statement type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The SQL statement type.</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PStmtKey.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/PoolingDriver.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/SQLExceptionList.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/PStmtKey.html" target="_top">Frames</a></li>
<li><a href="PStmtKey.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
